Bug 1978044 - Unable to open main.c after creating a simple GTK application from wizard template. Anjuta stalls not responding.
Summary: Unable to open main.c after creating a simple GTK application from wizard tem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anjuta
Version: 34
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-01 03:05 UTC by jrueda
Modified: 2021-12-24 01:23 UTC (History)
9 users (show)

Fixed In Version: anjuta-3.34.0-11.fc34 anjuta-3.34.0-11.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-24 01:07:31 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot of anjuta as stalled with the project tree viewable under Fedora 34, Plasma Desktop. (51.92 KB, image/png)
2021-07-01 03:05 UTC, jrueda
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME anjuta issues 29 0 None None None 2021-07-01 13:59:53 UTC

Description jrueda 2021-07-01 03:05:27 UTC
Created attachment 1796552 [details]
Screenshot of anjuta as stalled with the project tree viewable under Fedora 34, Plasma Desktop.

Description of problem:
Unable to open main.c after creating a simple GTK application from wizard template. Anjuta stalls not responding.

Version-Release number of selected component (if applicable):
anjuta-1:3.34.0-8.fc34.x86_64


How reproducible: Create a simple C based GTK (application) project in the wizard proposed new home user based folder. 


Steps to Reproduce:
1. Create new project (C, GTK(application))
2. Reach to editor main screen. 
3. Double click main.c under app name (at example under wizard proposed default 'gtk_foobar')

Actual results: Anjuta stalls indefinitely, process must be killed. 


Expected results: main.c source is displayed ready to be edited. 


Additional info: Not happening in plain console application project written in C. 
The error makes this version of anjuta unusable to write GTK projects at least under Fedora 34. It is therefore urgent for that purpose. It does not happen only with Plasma Desktop but also with GTK supporting ones like XFCE.

Comment 1 Gwyn Ciesla 2021-07-01 14:00:52 UTC
Reproduced under GNOME 40, reported upstream.

Comment 3 Fedora Update System 2021-12-15 19:19:42 UTC
FEDORA-2021-3853ebf700 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3853ebf700

Comment 4 Fedora Update System 2021-12-15 19:19:42 UTC
FEDORA-2021-6d10d6682d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6d10d6682d

Comment 5 Fedora Update System 2021-12-16 02:09:07 UTC
FEDORA-2021-6d10d6682d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6d10d6682d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6d10d6682d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-12-16 02:10:27 UTC
FEDORA-2021-3853ebf700 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3853ebf700`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3853ebf700

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-12-24 01:07:31 UTC
FEDORA-2021-3853ebf700 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-12-24 01:23:57 UTC
FEDORA-2021-6d10d6682d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.